No CPU record on Virtualbox

Bug #1819129 reported by Jean-Baptiste Lallement on 2019-03-08
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-report (Ubuntu)
Low
Didier Roche
Bionic
Low
Didier Roche
Disco
Low
Didier Roche

Bug Description

[Impact]

 * Any new report after an installation in a Virtualbox machine won't show up CPU informations.
 * Note that we don't fix Cosmic: it's almost EOL and ubuntu-report is used on first user login. Now, we either proposed bionic or disco to our users. The issue isn't that critical either as the CPU field is just ignored when missing.

[Test Case]

 * Make a new installation in virtualbox
 * Run "ubuntu-report show".
-> you won't have any "CPU" field in the output
 * Install the new version from proposed
 * Run "ubuntu-report show"
-> note the CPU field is now present.

[Regression Potential]

 * The regexp to match lspcu information lines has been relaxed. The testsuite has been enhanced and existing cases keeps working.

------------

On a virtualbox guest ubuntu-report doesn't report CPU information.

u@pc:~$ ubuntu-report show
{
  "Version": "19.04",
  "OEM": {
    "Vendor": "innotek GmbH",
    "Product": "VirtualBox"
  },
  "BIOS": {
    "Vendor": "innotek GmbH",
    "Version": "VirtualBox"
  },
  "Arch": "amd64",
  "GPU": [
    {
      "Vendor": "15ad",
      "Model": "0405"
    }
  ],
  "RAM": 2,
  "Disks": [
    21.5
  ],
  "Partitions": [
    20.5
  ],
  "Screens": [
    {
      "Size": "0mmx0mm",
      "Resolution": "800x600",
      "Frequency": "60.00"
    }
  ],
  "Autologin": true,
  "LivePatch": false,
  "Session": {
    "DE": "ubuntu:GNOME",
    "Name": "ubuntu",
    "Type": "x11"
  },
  "Language": "en_US",
  "Timezone": "America/New_York",
  "Install": {
    "Media": "Ubuntu 19.04 \"Disco Dingo\" - Alpha amd64 (20190305.1)",
    "Type": "GTK",
    "OEM": false,
    "PartitionMethod": "use_device",
    "DownloadUpdates": true,
    "Language": "en",
    "Minimal": false,
    "RestrictedAddons": false,
    "Stages": {
      "0": "language",
      "2": "language",
      "8": "console_setup",
      "16": "console_setup",
      "20": "prepare",
      "24": "partman",
      "26": "start_install",
      "86": "timezone",
      "90": "usersetup",
      "97": "user_done",
      "582": "done"
    }
  }
}

@pc:~$ lscpu
Architecture: x86_64
CPU op-mode(s): 32-bit, 64-bit
Byte Order: Little Endian
Address sizes: 48 bits physical, 48 bits virtual
CPU(s): 1
On-line CPU(s) list: 0
Thread(s) per core: 1
Core(s) per socket: 1
Socket(s): 1
NUMA node(s): 1
Vendor ID: AuthenticAMD
CPU family: 16
Model: 10
Model name: AMD Phenom(tm) II X6 1055T Processor
Stepping: 0
CPU MHz: 2812.342
BogoMIPS: 5624.68
Hypervisor vendor: KVM
Virtualization type: full
L1d cache: 64K
L1i cache: 64K
L2 cache: 512K
L3 cache: 6144K
NUMA node0 CPU(s): 0
Flags: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt rdtscp lm 3dnowext 3dnow constant_tsc rep_good nopl nonstop_tsc cpuid extd_apicid tsc_known_freq pni monitor cx16 x2apic popcnt hypervisor lahf_lm cr8_legacy abm sse4a misalignsse 3dnowprefetch vmmcall

ProblemType: Bug
DistroRelease: Ubuntu 19.04
Package: ubuntu-report 1.4.0
ProcVersionSignature: Ubuntu 4.19.0-13.14-generic 4.19.20
Uname: Linux 4.19.0-13-generic x86_64
ApportVersion: 2.20.10-0ubuntu21
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
Date: Fri Mar 8 04:06:58 2019
Dependencies:
 gcc-9-base 9-20190220-0ubuntu1
 libc6 2.28-0ubuntu1
 libgcc1 1:9-20190220-0ubuntu1
 libidn2-0 2.0.5-1
 libunistring2 0.9.10-1ubuntu1
InstallationDate: Installed on 2019-03-07 (0 days ago)
InstallationMedia: Ubuntu 19.04 "Disco Dingo" - Alpha amd64 (20190305.1)
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: ubuntu-report
UpgradeStatus: No upgrade log present (probably fresh install)

Jean-Baptiste Lallement (jibel) wrote :
Didier Roche (didrocks) on 2019-04-25
description: updated
description: updated
Didier Roche (didrocks) on 2019-04-26
description: updated
Didier Roche (didrocks) on 2019-04-26
Changed in ubuntu-report (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
Changed in ubuntu-report (Ubuntu Bionic):
assignee: nobody → Didier Roche (didrocks)
Changed in ubuntu-report (Ubuntu Disco):
assignee: nobody → Didier Roche (didrocks)
Changed in ubuntu-report (Ubuntu):
importance: Undecided → Low
Changed in ubuntu-report (Ubuntu Bionic):
importance: Undecided → Low
Changed in ubuntu-report (Ubuntu Disco):
importance: Undecided → Low
Changed in ubuntu-report (Ubuntu):
status: New → Triaged
Changed in ubuntu-report (Ubuntu Bionic):
status: New → Triaged
Changed in ubuntu-report (Ubuntu Disco):
status: New → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-report - 1.5.0

---------------
ubuntu-report (1.5.0) eoan; urgency=medium

  * Fix CPU record not present in virtualbox (LP: #1819129)
    Virtualbox is having a special lspcu syntax without spaces between
    fields and values. Fix the regexp and tests to cover that use-case.
  * Fix go ineffassign warning
  * Fix golint false positive
  * Fix invalid tests comparison which was passing by chance. Ensure we
    can rerun commands in multiple runs tests.
  * Fix documentation vet error
  * Refresh go modules files with go 1.12. Prune uneeded indirect dep list
    now that more modules ships with go.mod.
  * Various typos fix

 -- Didier Roche <email address hidden> Fri, 26 Apr 2019 08:18:24 +0200

Changed in ubuntu-report (Ubuntu):
status: Triaged → Fix Released

Hello Jean-Baptiste, or anyone else affected,

Accepted ubuntu-report into disco-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-report/1.4.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-disco to verification-done-disco. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-disco. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in ubuntu-report (Ubuntu Disco):
status: Triaged → Fix Committed
tags: added: verification-needed verification-needed-disco
Changed in ubuntu-report (Ubuntu Bionic):
status: Triaged → Fix Committed
tags: added: verification-needed-bionic
Steve Langasek (vorlon) wrote :

Hello Jean-Baptiste, or anyone else affected,

Accepted ubuntu-report into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-report/1.3.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Sebastien Bacher (seb128) wrote :

Using 1.4.2 on a Disco virtualbox image the CPU info are correctly listed indeed

tags: added: verification-done-disco
removed: verification-needed-disco
Sebastien Bacher (seb128) wrote :

On bionic the CPU info is included on a 18.04.2 iso booted in virtualbox (1.3.0~18.04, so before that SRU)

Sebastien Bacher (seb128) wrote :

Well, the update keeps working and has more flexible regexp which should allow things to keep working even if the lscpu behaviour change, so marking confirmed on that basis

tags: added: verification-done-bionic
removed: verification-needed-bionic
tags: added: verification-done
removed: verification-needed

The verification of the Stable Release Update for ubuntu-report has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-report - 1.4.2

---------------
ubuntu-report (1.4.2) disco; urgency=medium

  * Fix CPU record not present in virtualbox (LP: #1819129)
    Virtualbox is having a special lspcu syntax without spaces between
    fields and values. Fix the regexp and tests to cover that use-case.

 -- Didier Roche <email address hidden> Fri, 26 Apr 2019 08:23:47 +0200

Changed in ubuntu-report (Ubuntu Disco):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-report - 1.3.1

---------------
ubuntu-report (1.3.1) bionic; urgency=medium

  * Fix CPU record not present in virtualbox (LP: #1819129)
    Virtualbox is having a special lspcu syntax without spaces between
    fields and values. Fix the regexp and tests to cover that use-case.

 -- Didier Roche <email address hidden> Fri, 26 Apr 2019 08:26:37 +0200

Changed in ubuntu-report (Ubuntu Bionic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers